/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<abstractmerkuroapplication.h>)
#  include <abstractmerkuroapplication.h>
#endif
#if __has_include(<accountsmodel.h>)
#  include <accountsmodel.h>
#endif
#if __has_include(<collectionutils.h>)
#  include <collectionutils.h>
#endif
#if __has_include(<utils.h>)
#  include <utils.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_merkuro_components()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AbstractMerkuroApplication>("org.kde.merkuro.components", 1);
    qmlRegisterTypesAndRevisions<AccountsModel>("org.kde.merkuro.components", 1);
    qmlRegisterTypesAndRevisions<CollectionUtils>("org.kde.merkuro.components", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    qmlRegisterTypesAndRevisions<Utils>("org.kde.merkuro.components", 1);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.merkuro.components", 1, 0);
}

static const QQmlModuleRegistration orgkdemerkurocomponentsRegistration("org.kde.merkuro.components", qml_register_types_org_kde_merkuro_components);
